<?php
if( !defined( 'ABSPATH' ) ) { exit; }

if ( !function_exists( 'evss_fs' ) ) {
	function evss_fs() {
		global $evss_fs;

		if ( !isset( $evss_fs ) ) {
			require_once EVSS_DIR_PATH . 'vendor/fs-lite/fs-lite.php';

			$evss_fs = fs_lite_dynamic_init( [
				'id'					=> '15953',
				'slug'					=> 'swipe-slider',
				'version'				=> EVSS_VERSION,
				'premium_slug'			=> 'swipe-slider-pro',
				'type'					=> 'plugin',
				'public_key'			=> 'pk_c06cb00eed004ae059030c3ad19d1',
				'plugin_file'			=> EVSS_DIR_PATH . 'swipe-slider.php',
				'is_premium'			=> false,
				'premium_suffix'		=> 'Pro',
				'has_premium_version'	=> true,
				'has_addons'			=> false,
				'has_paid_plans'		=> true,
				'menu'					=> [
					'slug'			=> 'swipe-slider',
					'first-path'	=> 'tools.php?page=swipe-slider',
					'parent'		=> [ 'slug'	=> 'tools.php' ]
				]
			] );
		}

		return $evss_fs;
	}

	evss_fs();
	do_action( 'evss_fs_loaded' );
}
